import { ViteSSG } from 'vite-ssg'
import './style.css'
import main from './main.vue'
import { createRoutes } from './routes'

export const createApp = ViteSSG(
  // the root component
  main,
  // vue-router options
  { routes: createRoutes() },
  // function to have custom setups
  // ({ app, router, routes, isClient, initialState }) => {
  //   // install plugins etc.
  // },
)
